Create Grant for New Hire
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/createGrantForNewHire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"email": "[email protected]",
"givenName": "<string>",
"familyName": "<string>",
"grantName": "<string>",
"grantDescription": "<string>",
"grantConfigurationID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantAmount": 123,
"vestingStartDate": "2023-11-07T05:31:56Z",
"vestingCliffPercentage": 123,
"vestingCliffPeriods": 123,
"vestingPeriods": 123,
"lockup": 123,
"offPlatformDate": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"isSection83bElectionEligible": true
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/createGrantForNewHire"
payload = {
"email": "[email protected]",
"givenName": "<string>",
"familyName": "<string>",
"grantName": "<string>",
"grantDescription": "<string>",
"grantConfigurationID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantAmount": 123,
"vestingStartDate": "2023-11-07T05:31:56Z",
"vestingCliffPercentage": 123,
"vestingCliffPeriods": 123,
"vestingPeriods": 123,
"lockup": 123,
"offPlatformDate": "2023-11-07T05:31:56Z",
"tags": ["<string>"],
"isSection83bElectionEligible": True
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: '[email protected]',
givenName: '<string>',
familyName: '<string>',
grantName: '<string>',
grantDescription: '<string>',
grantConfigurationID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
grantAmount: 123,
vestingStartDate: '2023-11-07T05:31:56Z',
vestingCliffPercentage: 123,
vestingCliffPeriods: 123,
vestingPeriods: 123,
lockup: 123,
offPlatformDate: '2023-11-07T05:31:56Z',
tags: ['<string>'],
isSection83bElectionEligible: true
})
};
fetch('https://app.toku.com/api/tokuApi/v1/createGrantForNewHire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Grants
Create Grant for New Hire
Creates a grant for a new hire, optionally creating the user role in the organization.
POST
/
createGrantForNewHire
Create Grant for New Hire
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
TGA employment type.
Available options:
CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER Available options:
MONTHLY, QUARTERLY, ANNUALLY Response
Grant created for new hire
⌘I
